package cn.facade.abs;

/**
 * @Description: 消息队列枚举配置
 */
public enum QueueEnum {

    /** 消息通知队列 */
    QUEUE_ATV("atv.websocket.direct", "atv.websocket.handle", "atv.websocket.handle"),

    /** cmd_code1 消息通知队列 **/
    QUEUE_ATV_CMD1("atv.websocket.direct.cmd1", "atv.websocket.handel.cmd1", "atv.websocket.handel.cmd1"),

    /** 消息通知ttl队列 */
    QUEUE_TTL_ATV("atv.websocket.direct.ttl", "atv.websocket.handle.ttl", "atv.websocket.handle.ttl"),

    // 数据处理队列
    QUEUE_ATV_UPDATE("atv.websocket.update.direct", "atv.websocket.update.handle", "atv.websocket.update.handle"),

    QUEUE_TTL_ATV_UPDATE("atv.websocket.update.direct.ttl", "atv.websocket.update.handle.ttl", "atv.websocket.update.handle.ttl");



    /**
	 * @return the exchange
	 */
	public String getExchange() {
		return exchange;
	}
	/**
	 * @return the name
	 */
	public String getName() {
		return name;
	}

	/**
	 * @return the routeKey
	 */
	public String getRouteKey() {
		return routeKey;
	}

	/** 交换名称 */
    private String exchange;

    /** 队列名称 */
    private String name;

    /** 路由键 */
    private String routeKey;

    QueueEnum(String exchange, String name, String routeKey) {
        this.exchange = exchange;
        this.name = name;
        this.routeKey = routeKey;
    }
}